@tailwind base;
@tailwind components;
@tailwind utilities;

html,
body {
  @apply bg-darkGray text-white h-full w-full;
}
#root {
  @apply h-full;
}

@layer base {
  h1 {
    @apply text-2xl md:text-3xl bg-actionPurple px-2 uppercase py-1 w-fit font-bold;
  }
  a {
    @apply text-actionPurple font-bold hover:underline;
  }
}

/* BUTTONS */
.actionButtonIcon {
  @apply h-6 w-6;
}

/* INPUT */
.inputSearchGif {
  @apply px-5 py-3  placeholder:text-xs placeholder:uppercase text-darkGray focus:outline-dashed focus:outline-actionPurple;
}

/* LISTVIEW */
.listViewImage {
  @apply w-full h-full object-cover align-bottom;
}
.listViewImageWrapper {
  @apply w-full h-full;
}

/* ANIMATION */
.fade-in-image {
  animation: fadeIn 2s;
}
@keyframes fadeIn {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
